---
title: "QGreenland & CryoCloud: An open GIS collaboration for education and research"
subtitle: "[AGU2023 presentation C22A-07](https://agu.confex.com/agu/fm23/meetingapp.cgi/Paper/1365725)"
author:
  - name: "Matt Fisher"
    orcid: "0000-0003-3260-5445"
  - name: "Twila Moon"
    orcid: "0000-0003-0968-7008"
  - name: "Alyse Thurber"
    orcid: "0009-0003-2026-0002"
  - name: "Tasha Snow"
    orcid: "0000-0001-5697-5470"
  - name: "Trey Stafford"
    orcid: "0000-0002-5510-0055"
---

{{< include "/logos.md" >}}


## Abstract

Providing training on inherently-technical subjects can be confounded by the wide
variety of personal computing systems in use by learners. Planning and administering
in-person and virtual training is demanding; supporting technical difficulties can be
taxing on educators and takes time away from learning.

In Spring 2023, the NSF-funded QGreenland team used the NASA-funded CryoCloud JupyterHub
to provide equitable computing access to teach a 3-day virtual, hands-on workshop to ~30
learners from across the globe. Simply by logging in, participants used QGreenland and
QGIS in CryoCloud’s browser-based Linux desktop environment to collaboratively test,
explore, visualize, and process Earth science data simultaneously, with the same user
experience they expect from using QGIS on their personal computers. Further, using an
existing community JupyterHub saved substantial time and cost; we estimated a reduction
from 2-4 weeks and $4500 in setup costs to 2-3 days and $0 in setup costs, leaving only
$75 of cloud operating expenses. Because CryoCloud is externally-funded, users also
benefited from having a continuing platform to collaborate post-workshop. Finally,
because our workshop and CryoCloud were openly developed with an emphasis on FAIR
principles, our methods and materials can be re-used and improved by other communities.

With modern tooling, educators can provide equitable access to advanced cloud computing
environments that rival or exceed the capabilities of learners’ personal computers.
JupyterHub provides a transformative experience to educators and students and has
significant momentum in research and educational computing. In our presentation we will
discuss the value of pairing CryoCloud and QGreenland, the benefits of inclusive and
collaborative development, key design elements and outcomes of the QGreenland 2023
Researcher Workshop, and how others can use these tools to increase efficacy and
efficiency for their own research and education use cases.
